Bug 1290038 - Gromacs is missing the executables
Gromacs is missing the executables
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gromacs (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 09:30 EST by David
Modified: 2016-04-13 03:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: gromacs-2016-0.1.20160318gitbec9c87.fc24 gromacs-5.1.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 08:07:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2015-12-09 09:30:48 EST
Description of problem:

The package doesn't include most of the executable commands, like g_mdrun.

Version-Release number of selected component (if applicable):
gromacs.x86_64 5.1.1-1.fc23

How reproducible:
Every time.

Steps to Reproduce:
1. dnf install gromacs
2. launch simulation with, for example, g_mdrun

Actual results:
g_mdrun command not found.


Additional info:
Typing g_<TAB><TAB> shows the following programs:
g_demux.pl      g_xplor2gmx.pl 

gmx mdrun does work.

Note that the documentation of the package states:

N.B. All binaries have names starting with g_, for example mdrun has been renamed to g_mdrun.
Comment 1 Dominik 'Rathann' Mierzejewski 2015-12-09 16:12:39 EST
Thanks for the report. This is actually my fault, for forgetting to update package documentation to match what upstream did. I'll fix that in the next update.
Comment 2 Fedora Update System 2016-03-31 01:46:12 EDT
gromacs-2016-0.1.20160318gitbec9c87.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20c281c7ac
Comment 3 Fedora Update System 2016-03-31 16:51:42 EDT
gromacs-5.1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf40aec947
Comment 4 Fedora Update System 2016-04-01 16:55:30 EDT
gromacs-2016-0.1.20160318gitbec9c87.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20c281c7ac
Comment 5 Fedora Update System 2016-04-02 01:26:15 EDT
gromacs-5.1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf40aec947
Comment 6 Fedora Update System 2016-04-03 05:28:12 EDT
gromacs-2016-0.1.20160318gitbec9c87.fc24 votca-csg-1.3-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20c281c7ac
Comment 7 Fedora Update System 2016-04-03 18:50:47 EDT
gromacs-2016-0.1.20160318gitbec9c87.fc24, votca-csg-1.3-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20c281c7ac
Comment 8 Fedora Update System 2016-04-07 08:07:16 EDT
gromacs-2016-0.1.20160318gitbec9c87.fc24, votca-csg-1.3-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-04-13 03:23:59 EDT
gromacs-5.1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.